ubuntu16.0.4安装服务器环境集成包phpStudy

杨新朋| 阅读:268 发表时间:2017-08-27 21:26:03 服务器维护

本文讲解Ubuntu16.0.4系统下安装lamp集成环境,phpStudy for Linux (lnmp+lamp一键安装包),phpStudy for Linux 支持Apache/Nginx/Tengine/Lighttpd,支持php5.2/5.3/5.4/5.5切换 。

安装:

wget -c http:// lamp.phpstudy.net/phpstudy.bin 

chmod +x phpstudy.bin    #权限设置

./phpstudy.bin     #运行安装

运行命令后会出现如下界面:

14.png

一次选择你需要安装的版本,开始安装集成环境,大约需要几分钟到十几分钟,会显示以下界面:

15.png

出现这个界面说明phpstudy已经安装成功。

如何切换php版:

假如你先安装的apache+php5.3

想切换成nginx+php5.4

你就再走一次./phpstudy.bin

但是你会发现有一行是否安装mysql提示选不安装

这样只需要编译nginx+php5.4

从而节省时间,这样只需要几分钟即可。

使用说明:

服务进程管理:phpstudy (start|stop|restart|uninstall)

站点主机管理:phpstudy (add|del|list)

ftpd用户管理:phpstudy ftp (add|del|list)

本文由杨新朋发表并编辑,转载此文章须经作者同意,并请附上出处及本页链接。如有侵权,请联系本站删除。